typedef struct _APPOINTMENT_DB
{
	BYTE			hour;
	BYTE			minute;
	BYTE			alarm;
	BYTE			alarm_time;
	UWORD			alarm_num;
	WORD			appointment;
	UWORD			appmt_num;
	DatabaseID		dbid;
	RecordID		recid;
}AppointmentDB;

void SchedulerDBGetAppmtRec(BYTE *string_buffer, UWORD num_bytes, AppointmentDB **appmt_rec, WORD *num_appmt);
BOOLEAN SyncCheckScheduleRecordChange(DatabaseID dbid, RecordID rec_id);

